package com.elab.mongodb.config;

import com.elab.mongodb.chain.CatMongoInterceptInvoke;
import com.elab.test.mongodb.entity.User;
import com.elab.test.mongodb.ext.UserMongoCollection;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = {MongoMultipleAutoConfiguration.class, MongoAutoConfiguration.class, UserMongoCollection.class,
    CatMongoInterceptInvoke.class})
public class MongoMultipleAutoConfigurationTest {

    @Autowired
    private MongoSelector selector;

    @Autowired
    private UserMongoCollection userMongoCollection;

    @Test
    public void test() throws Exception {
        final MongoTemplate test1 = selector.get("test1");
        final MongoTemplate test2 = selector.get("test2");

        final MongoTemplate test11 = MongoSelector.selectKey("test1");
        User user = new User();
        user.setUsername("lkx");
        final Long count = userMongoCollection.count(user);
        System.out.println(count);
    }

}