package com.elab.mongodb.config.property;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;

import java.util.HashMap;
import java.util.Map;

/**
 * 多mongo实例配置
 *
 * @author liukaixiong
 * @date 2022/10/10 - 10:37
 */
@ConfigurationProperties(prefix = "spring.elab.mongodb")
public class MultipleMongoProperties {

    private Map<String, MongoConfig> groupSource = new HashMap<>();

    public Map<String, MongoConfig> getGroupSource() {
        return groupSource;
    }

    public void setGroupSource(Map<String, MongoConfig> groupSource) {
        this.groupSource = groupSource;
    }
}
