package com.elab.test.mongodb.ext;

import com.elab.mongodb.BaseMongodb;
import com.elab.mongodb.config.MongoSelector;
import com.elab.test.mongodb.entity.User;
import org.springframework.data.mongodb.core.MongoTemplate;

/**
 *
 * @author Liukx
 * @create 2018-05-03 15:41
 * @email liukx@elab-plus.com
 **/
public class UserMongoCollection extends BaseMongodb<User> {

    @Override
    public Class<User> getEntity() {
        return User.class;
    }

    @Override
    public MongoTemplate getMongoTemplate() {
        return MongoSelector.selectKey("local");
    }

}
